slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDType

String with the name of a SLEPc singular value solver

### Synopsis

    typedef const char* SVDType;
    #define SVDCROSS       "cross"
    #define SVDCYCLIC      "cyclic"
    #define SVDLAPACK      "lapack"
    #define SVDLANCZOS     "lanczos"
    #define SVDTRLANCZOS   "trlanczos"
    #define SVDRANDOMIZED  "randomized"
    #define SVDSCALAPACK   "scalapack"
    #define SVDKSVD        "ksvd"
    #define SVDELEMENTAL   "elemental"
    #define SVDPRIMME      "primme"

### See Also

SVDSetType(), SVD

### Level

beginner

### Location

include/slepcsvd.h
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages